import { Store } from './store';
import { CreateTranslatorOptions, CreateTranslatorResult, Dict, FlattenDict, Translator } from './types';
export declare const createGetTranslator: <D extends Dict>(store: Store<D>, { fallbackLocale, fallbackToLessSpecific, fallback: globalFallback, warn, sourceLocale, dateTimeFormatOptions, listFormatOptions, numberFormatOptions, pluralRulesOptions, relativeTimeFormatOptions, ignoreMissingArgs, }: CreateTranslatorOptions<D>) => (locale: string) => Promise<Translator<FlattenDict<D>, import("./types").GetTranslatorOptions, string>>;
export declare function createTranslator<D extends Dict>(options: CreateTranslatorOptions<D>): CreateTranslatorResult<FlattenDict<D>>;
